logo
MailboxesBulk import SMTP mailboxes from CSV
Mailboxes

Bulk import SMTP mailboxes from CSV

Upload a CSV file to bulk import SMTP mailboxes. Maximum 500 mailboxes per import.

Required columns: email, password, smtphost, imaphost Optional columns: smtpport (default 587), imapport (default 993), smtpsecure (default false), imapsecure (default true), displayname

SMTP connections are tested during import (20 concurrent connections). Use skipConnectionTest=true to skip testing — mailboxes will be created with "pending" status instead of "active".

Duplicate emails (already in workspace) are automatically skipped.

curl -X POST "https://api.sendkit.ai/v1/mailboxes/import/smtp" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  --form file=example_string \
  --form tag=example_string \
  --form skipConnectionTest=true
{
  "success": true,
  "data": {
    "imported": 45,
    "skipped": 3,
    "failed": 2,
    "errors": [
      {
        "email": "bad@example.com",
        "error": "Authentication failed. Check username/password."
      },
      {
        "email": "missing@example.com",
        "error": "Missing SMTP host or password"
      }
    ]
  }
}
POST
/v1/mailboxes/import/smtp
POST
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: multipart/form-data
filestring
Required

CSV file with required columns (email, password, smtphost, imaphost)

Format: binary
tagstring

Tag to apply to all imported mailboxes

skipConnectionTeststring

Skip SMTP connection testing (mailboxes created as "pending")

Options: true, false
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Body

multipart/form-data
filefile
Required

CSV file with required columns (email, password, smtphost, imaphost)

tagstring

Tag to apply to all imported mailboxes

skipConnectionTeststring

Skip SMTP connection testing (mailboxes created as "pending")

Allowed values:truefalse

Responses